Public Member Functions | List of all members
libvisio::VSDOutputElement Class Referenceabstract
Inheritance diagram for libvisio::VSDOutputElement:

## Public Member Functions
| VSDOutputElement ()
virtual | ~VSDOutputElement ()
virtual void | draw (librevenge::RVNGDrawingInterface *painter)=0
virtual VSDOutputElement * | clone ()=0

## Constructor & Destructor Documentation

## ◆ VSDOutputElement()

libvisio::VSDOutputElement::VSDOutputElement | ( |  | ) |
| inline

## ◆ ~VSDOutputElement()

virtual libvisio::VSDOutputElement::~VSDOutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ clone()

virtual VSDOutputElement* libvisio::VSDOutputElement::clone | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDCloseUnorderedListLevelOutputElement, libvisio::VSDOpenUnorderedListLevelOutputElement, libvisio::VSDCloseListElementOutputElement, libvisio::VSDOpenListElementOutputElement, libvisio::VSDEndTextObjectOutputElement, libvisio::VSDCloseParagraphOutputElement, libvisio::VSDCloseSpanOutputElement, libvisio::VSDInsertTabOutputElement, libvisio::VSDInsertLineBreakOutputElement, libvisio::VSDInsertTextOutputElement, libvisio::VSDOpenSpanOutputElement, libvisio::VSDEndLayerOutputElement, libvisio::VSDStartLayerOutputElement, libvisio::VSDOpenParagraphOutputElement, libvisio::VSDStartTextObjectOutputElement, libvisio::VSDGraphicObjectOutputElement, libvisio::VSDPathOutputElement, and libvisio::VSDStyleOutputElement.

## ◆ draw()

virtual void libvisio::VSDOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| pure virtual

Implemented in libvisio::VSDCloseUnorderedListLevelOutputElement, libvisio::VSDOpenUnorderedListLevelOutputElement, libvisio::VSDCloseListElementOutputElement, libvisio::VSDOpenListElementOutputElement, libvisio::VSDEndTextObjectOutputElement, libvisio::VSDCloseParagraphOutputElement, libvisio::VSDCloseSpanOutputElement, libvisio::VSDInsertTabOutputElement, libvisio::VSDInsertLineBreakOutputElement, libvisio::VSDInsertTextOutputElement, libvisio::VSDOpenSpanOutputElement, libvisio::VSDEndLayerOutputElement, libvisio::VSDStartLayerOutputElement, libvisio::VSDOpenParagraphOutputElement, libvisio::VSDStartTextObjectOutputElement, libvisio::VSDGraphicObjectOutputElement, libvisio::VSDPathOutputElement, and libvisio::VSDStyleOutputElement.

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp